Subject: bug#35154: guix package --show=openssh gnu/packages/curl.scm:55:4: error: libssh2: unbound variable

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 05 Apr 2019 18:30:05 +0200

Jack Hill <[email-masked]> writes:

> On Fri, 5 Apr 2019, [email-masked] wrote:
>
>> As I know it seems like need to run `guix pull` to update your scheme files.
>
> After guix pulling, I still see the problem with the latest Guix. My
> guix describe information:
>
> $ guix describe
> Generation 124	Apr 05 2019 11:24:29	(current)
>   guix-at-duke a9674ec
>     repository URL: https://gitlab.oit.duke.edu/jackhill/guix-at-duke.git
>     branch: master
>     commit: a9674ec7b0decac94745c91df886817e2fc8a91b
>   guix 3a66563
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     branch: master
>     commit: 3a665637afc32a142dc24a77ce7ce9235eb6a3af

I think (gnu packages curl) is not correct because it provides
libssh2-1.8.0, which inherits from a package that is in (gnu packages
ssh).

The definition of libssh2-1.8.0 should probably be moved to (gnu
packages ssh).

--
Ricardo